<!DOCTYPE html>
    <html>

        <head>
            <title> IncMAN - Service Now Routing AI </title>
            <link rel="stylesheet" href="https://unpkg.com/primitive-ui/dist/css/main.css">
            <script src="https://cdn.jsdelivr.net/npm/axios/dist/axios.min.js"></script>
            <script src="https://cdn.jsdelivr.net/npm/vue"></script>
            <style>
                #products tr:hover { background: #f2f2f2; cursor: pointer; }
                form { float:right; display:flex; flex-direction: row-reverse }
                form #amount { width: 5em }
                .is-success { color: #0d920d }
                .has-error { color: #df1010 }
                /* CSS Button */
                #btn {
                    background: #222;
                    height: 40px;
                    min-width: 150px;
                    border: none;
                    border-radius: 10px;
                    color: #eee;
                    font-size: 28px;
                    line-height: 28px;
                    font-family: 'Roboto';
                    position: relative;
                    -webkit-tap-highlight-color: transparent;
                    display: flex;
                    align-items: center;
                    justify-content: center;
                    cursor: pointer;
                }
                #btn:hover {
                    background: #244;
                }
                /* CSS Button End */
                /* CSS Loader */ /* ref: https://loading.io/css/ */
                .lds-ring{display:inline-block;position:relative;width:40px;height:40px}.lds-ring div{box-sizing:border-box;display:block;position:absolute;width:32px;height:32px;margin:4px;border:4px solid #fff;border-radius:50%;animation:lds-ring 1.2s cubic-bezier(.5,0,.5,1) infinite;border-color:#fff transparent transparent transparent}.lds-ring div:nth-child(1){animation-delay:-.45s}.lds-ring div:nth-child(2){animation-delay:-.3s}.lds-ring div:nth-child(3){animation-delay:-.15s}@keyframes lds-ring{0%{transform:rotate(0)}100%{transform:rotate(360deg)}}
                /* CSS Loader End */
            </style>
        </head>

        <body class="medium-container", style="margin-top: 70px;">
            <div id='app'>

                <h1> Service Now - Incidents List </h1>

                <!-- <input type="text" placeholder="Search..." @input="search"> -->

                <table id='incidents'>
                    <thead>
                        <th> Incident Number </th>
                        <th> Short Description </th>
                        <th> Caller </th>
                        <th> Category </th>
                        <th> Subcategory </th>
                        <th> Configuration Item </th>
                        <th> Assignment Group </th>
                    </thead>
                    <tr v-for="incident in list" v-bind:id="incident.id">
                        <td>{{ incident.number }}</td>
                        <td>{{ incident.short_description }}</td>
                        <td>{{ incident.caller_id }}</td>
                        <td>{{ incident.category }}</td>
                        <td>{{ incident.subcategory }}</td>
                        <td>{{ incident.cmdb_ci }}</td>
                        <td>{{ incident.assignment_group }}</td>
                    </tr>
                </table>

                <div @click="classifyIncidents" id="btn">
                    <span v-if="!isLoading">Classify</span>
                    <div v-else class="lds-ring"><div></div><div></div><div></div><div></div></div>
                </div>

            </div>
        </body>

    <script src="app.js">
    </script>
</html>